using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Properties
{
    public partial class FormBerechnen : Form
    {
        public FormBerechnen() //Konstruktor
        {
            InitializeComponent();
        }

        private void cmdVerdoppeln_Click(object sender, EventArgs e)
        {
            //Instanzieren der Klasse Berechnung auf myRg
            Berechnung myRg = new Berechnung();

            //Wertbergabe an die Instanz durch
            //die bereitgestellten Properties (set)
            //Da der Wert von der Textbox als String vorliegt, muss
            //er mittels Convert zu einem int "gecastet" werden.
            //Fals keine int-Zahlen eingegeben werden, wird eine 
            //Exception geworfen. Siehe dazu die Fehlerbehandlung.
            myRg.BasisZahl = Convert.ToInt32(textBoxBasis.Text);
            myRg.MultiplikationsZahl = Convert.ToInt32(textBoxMultiplikator.Text);

            //Ausfhren der Methode myDoppler und deren Rckgabewert in vAntwort speichern.
            int vAntwort = myRg.myDoppler();

            //Anzeigen des Inhalt der Variabel vAntwort
            MessageBox.Show("Das doppelte ist " + vAntwort);

            //Fr eine erneute Anzeige muss die Methode nicht erneut
            //aufgerufen werden. Das Resultat steht als Property zur Verfgung
            MessageBox.Show("Nochmals zeigen: " + myRg.Resultat);
        }
    }
}